Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.view
Class ViewDeclarationLanguageFactory

    java.lang.Object
      javax.faces.view.ViewDeclarationLanguageFactory

All Implemented Interfaces:
  FacesWrapper<ViewDeclarationLanguageFactory>

    public abstract class ViewDeclarationLanguageFactory

extends java.lang.Object
implements FacesWrapper<ViewDeclarationLanguageFactory>

ViewDeclarationLanguageFactory is a factory object that creates (if needed) and returns a new `ViewDeclarationLanguage` instance based on the VDL found in a specific view.

There must be one `ViewDeclarationLanguageFactory` instance per web application that is utilizing JavaServer Faces. This instance can be acquired, in a portable manner, by calling:

       ViewDeclarationLanguageFactory factory = (ViewDeclarationLanguageFactory)
        FactoryFinder.getFactory(FactoryFinder.VIEW_DECLARATION_LANGUAGE_FACTORY);

Since:
  2.0

Constructor Summary
`ViewDeclarationLanguageFactory()`

Method Summary
`abstract ViewDeclarationLanguage` | `getViewDeclarationLanguage(java.lang.String viewId)` Return the `ViewDeclarationLanguage` instance suitable for handling the VDL contained in the page referenced by the argument `viewId`.
`ViewDeclarationLanguageFactory` | `getWrapped()` If this factory has been decorated, the implementation doing the decorating may override this method to provide access to the implementation being wrapped.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewDeclarationLanguageFactory

    public ViewDeclarationLanguageFactory()

Method Detail

### getWrapped

    public ViewDeclarationLanguageFactory getWrapped()

  If this factory has been decorated, the implementation doing the decorating may override this method to provide access to the implementation being wrapped. A default implementation is provided that returns `null`.

  Specified by:
    `getWrapped` in interface `FacesWrapper<ViewDeclarationLanguageFactory>`

### getViewDeclarationLanguage

    public abstract ViewDeclarationLanguage getViewDeclarationLanguage(java.lang.String viewId)

  Return the `ViewDeclarationLanguage` instance suitable for handling the VDL contained in the page referenced by the argument `viewId`. The default implementation must return a valid `ViewDeclarationLanguage` instance for views written in either JSP, Faces XML Views, or Facelets for JSF 2.

  Parameters:
    `viewId` - the viewId to be inspected for an appropriate `ViewDeclarationLanguage` implementation for the VDL used in the view.
  Throws:
    `java.lang.NullPointerException` - if `viewId` is null.
  Since:
    2.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.